View Issue Details

IDProjectCategoryView StatusLast Update
0000032SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterabrougherAssigned Tochenson 
Priorityhigh 
Status closedResolutionfixed 
Product Version 
Target Version3.5.0Fixed in Version3.5.0 
Summary0000032: Implement file synchronization
DescriptionWe have data synchronization. Now we need to add file synchronization. File synchronization should go both ways. It should leverage the existing node framework. We should have a plug-in point to take some action on file delivery. It should support push/pull just like data synchronization. It should support sending files when the timestamp or filesize changes. It should support sending on a schedule. It should support sending files that meet a certain pattern (ie log files).
TagsNo tags attached.

Activities

chenson

2013-07-22 17:52

administrator   ~0000338

prepare for release

Related Changesets

SymmetricDS: master 5e8d988f

2013-04-29 16:18:10

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPullJob.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPushJob.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncTrackerJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/file/DirectorySnapshot.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncUtils.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerTracker.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/file/PathResolutionException.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileConflictStrategy.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTrigger.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTriggerRouter.java Diff File
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/model/SelectiveRouterControl.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
add - symmetric-core/src/test/java/org/jumpmind/symmetric/file/FileSyncUtilsTest.java Diff File
add - symmetric-core/src/test/java/org/jumpmind/symmetric/file/FileTriggerTrackerTest.java Diff File
mod - symmetric-core/src/test/resources/META-INF/maven/org.jumpmind.symmetric/symmetric-core/pom.properties Diff File
add - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncUriHandler.java Diff File

SymmetricDS: master 87d869e3

2013-04-30 07:38:39

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerTracker.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTriggerRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/file/FileTriggerTrackerTest.java Diff File

SymmetricDS: master 7ae1e24c

2013-04-30 09:05:26

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master ef717ad9

2013-04-30 12:45:51

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/DirectorySnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File

SymmetricDS: master beb28b9e

2013-04-30 12:49:22

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File

SymmetricDS: master 737d0fc3

2013-04-30 13:09:21

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File

SymmetricDS: master 7fa01f9a

2013-04-30 15:16:21

chenson

Details Diff
0000032: Implement file synchronization - dev checkin. also explicitly rolledback transactions the got errors
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File

SymmetricDS: master e5994044

2013-05-01 08:18:37

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File

SymmetricDS: master e1bed646

2013-05-01 10:38:43

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncTrackerJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/DirectorySnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerTracker.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTrigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: master 5b93d31f

2013-05-01 13:50:49

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File

SymmetricDS: master 00cde889

2013-05-01 20:58:12

chenson

Details Diff
0000032: Implement file synchronization - dev checkin - added in routing
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File

SymmetricDS: master 0ba26a0e

2013-05-02 08:38:37

eegeek

Details Diff
0000032: Implement file synchronization - dev checkin - added in routing
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File

SymmetricDS: master c6059400

2013-05-05 09:36:23

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-assemble/pom.xml Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPushJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeCommunication.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/SyncParameterConstants.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/IServerNodeLocker.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/ISyncClientListener.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/NoOpServerNodeLocker.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/SyncClientEngine.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/SyncJob.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/SyncStatus.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/connector/AbstractTransportConnector.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/connector/ConnectorException.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/connector/HttpTransportConnector.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/connector/ITransportConnector.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/connector/LocalTransportConnector.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/client/connector/TransportConnectorFactory.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/ConflictStrategy.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/DirectorySpec.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/GroupLink.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/NodeDirectoryKey.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/ScriptAPI.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/ScriptIdentifier.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/ScriptType.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/SyncConfig.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/SyncConfigCollection.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/config/SyncDirection.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/server/FileSyncServlet.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/IDirectorySpecSnapshotPersister.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/IPersisterServices.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/ISyncConfigCollectionPersister.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/ISyncStatusPersister.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/filesystem/FileSystemDirectorySpecSnapshotPersister.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/filesystem/FileSystemPersisterServices.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/filesystem/FileSystemSyncConfigCollectionPersister.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/service/filesystem/FileSystemSyncStatusPersister.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/track/DirectoryChangeTracker.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/track/DirectorySpecSnapshot.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/track/FileChange.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/track/FileChangeType.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/util/ConflictDetectedException.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/util/PathResolutionException.java Diff File
rm - symmetric-fs/src/main/java/org/jumpmind/symmetric/fs/util/Utils.java Diff File
rm - symmetric-fs/src/test/java/org/jumpmind/symmetric/fs/client/SyncJobTest.java Diff File
rm - symmetric-fs/src/test/java/org/jumpmind/symmetric/fs/config/DirectorySpecSnapshotTest.java Diff File
rm - symmetric-fs/src/test/java/org/jumpmind/symmetric/fs/service/filesystem/FileSystemSyncStatusPersisterTest.java Diff File
rm - symmetric-fs/src/test/java/org/jumpmind/symmetric/fs/track/DirectoryChangeTrackerTest.java Diff File
rm - symmetric-fs/src/test/java/org/jumpmind/symmetric/fs/util/UtilsTest.java Diff File
rm - symmetric-fs/src/test/resources/log4j.xml Diff File

SymmetricDS: master a40c712c

2013-05-05 09:37:01

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
rm - symmetric-fs/pom.xml Diff File

SymmetricDS: master 2dbb704a

2013-05-05 20:58:07

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncBatchDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfoKey.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/ext/NodeGroupTestDataWriterFilter.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/ext/TestDataWriterFilter.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/test/TestTablesService.java Diff File
add - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPullUriHandler.java Diff File
add - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPushUriHandler.java Diff File
rm - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ServerSymmetricEngine.java Diff File

SymmetricDS: master 8a3578a3

2013-05-07 09:19:02

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/DirectorySnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerTracker.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTriggerRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/file/FileTriggerTrackerTest.java Diff File

SymmetricDS: master 778c7bdc

2013-05-07 09:27:18

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master 54447fc7

2013-05-07 17:11:33

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncBatchDataWriter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTrigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/IStagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File

SymmetricDS: master ea194bdc

2013-05-08 21:23:01

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTriggerRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/IIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/IOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalOutgoingWithResponseTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/MockTransportManager.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/IStagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-parent/pom.xml Diff File

SymmetricDS: master 6975d96e

2013-05-08 21:47:11

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPullUriHandler.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/transport/mock/MockOutgoingTransport.java Diff File

SymmetricDS: master 3a492edd

2013-05-09 10:36:08

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/DirectorySnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerTracker.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AppUtils.java Diff File

SymmetricDS: master 8793d8e8

2013-05-09 11:05:57

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/DirectorySnapshot.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AppUtils.java Diff File

SymmetricDS: master b1288cf3

2013-05-10 08:25:03

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AppUtils.java Diff File

SymmetricDS: master bf4f80a2

2013-05-10 12:26:47

chenson

Details Diff
0000032: Implement file synchronization - dev checkin
0000032
mod - symmetric-core/pom.xml Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfoKey.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/IOutgoingWithResponseTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/MockTransportManager.java Diff File
mod - symmetric-parent/pom.xml Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPullUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPushUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/IUriHandler.java Diff File

Issue History

Date Modified Username Field Change
2012-09-16 11:41 chenson Reporter => abrougher
2012-09-16 11:41 chenson Target Version => 3.2.0
2012-09-16 11:41 chenson Summary Implement SymmetricFS (File Sync) => Implement file synchronization
2012-09-16 11:41 chenson Assigned To => chenson
2012-09-16 11:41 chenson Status new => assigned
2012-12-03 19:55 chenson Product Version 1.5.1 =>
2012-12-03 19:55 chenson Target Version 3.2.0 => 3.3.0.pre.1
2013-01-29 20:56 chenson Target Version 3.3.0.pre.1 => 3.4.0
2013-03-17 20:56 chenson Target Version 3.4.0 =>
2013-04-21 10:09 chenson Target Version => 3.5.0
2013-05-30 12:45 chenson Status assigned => resolved
2013-05-30 12:45 chenson Fixed in Version => 3.5.0
2013-05-30 12:45 chenson Resolution open => fixed
2013-07-22 17:52 chenson Note Added: 0000338
2013-07-22 17:52 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7132
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7133
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7134
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7137
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7138
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7139
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7140
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7141
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7143
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7144
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7145
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7146
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7151
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7152
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7154
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7156
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7157
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7165
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7173
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7174
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7175
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7176
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7181
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7185
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master bf4f80a2
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b1288cf3
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8793d8e8
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3a492edd
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 6975d96e
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ea194bdc
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 54447fc7
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 778c7bdc
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8a3578a3
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 2dbb704a
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a40c712c
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c6059400
2015-07-30 21:49 Changeset attached => SymmetricDS master 0ba26a0e
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 00cde889
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5b93d31f
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e1bed646
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e5994044
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7fa01f9a
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 737d0fc3
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master beb28b9e
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ef717ad9
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7ae1e24c
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 87d869e3
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5e8d988f